E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::ServerPeerConfig Class Reference

A structure that GNet::Server uses to configure its ServerPeer objects. More...

`#include <gserverpeer.h>`

## Public Member Functions
| ServerPeerConfig (unsigned int idle_timeout)
ServerPeerConfig & | set_idle_timeout (unsigned int)

## Public Attributes
unsigned int | idle_timeout {0U}

## Detailed Description

A structure that GNet::Server uses to configure its ServerPeer objects.

Definition at line 50 of file gserverpeer.h.

## Constructor & Destructor Documentation

## ◆ ServerPeerConfig()

GNet::ServerPeerConfig::ServerPeerConfig | ( | unsigned int | idle_timeout | ) |
| explicit

Definition at line 168 of file gserverpeer.cpp.

## Member Function Documentation

## ◆ set_idle_timeout()

GNet::ServerPeerConfig & GNet::ServerPeerConfig::set_idle_timeout | ( | unsigned int | t | ) |

Definition at line 173 of file gserverpeer.cpp.

## Member Data Documentation

## ◆ idle_timeout

unsigned int GNet::ServerPeerConfig::idle_timeout {0U}

Definition at line 53 of file gserverpeer.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gserverpeer.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gserverpeer.cpp